> ## Documentation Index
> Fetch the complete documentation index at: https://aegisterspa.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Aegister Threat Blocker configuration list

> Retrieves Threat Blocker list configured in the Web Application.

The list contains only Threat Blocker for organizations you can manage.



## OpenAPI

````yaml get /api/v1/atb
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.3
servers: []
security: []
paths:
  /api/v1/atb:
    get:
      tags:
        - atb
      description: |-
        Retrieves Threat Blocker list configured in the Web Application.

        The list contains only Threat Blocker for organizations you can manage.
      operationId: atb_retrieve
      parameters:
        - in: query
          name: limit
          schema:
            type: number
            default: 50
          description: Max number of reponse items.
        - in: query
          name: offset
          schema:
            type: number
            default: 0
          description: Offset response items.
        - in: query
          name: order
          schema:
            type: string
          description: Order results by item field
          examples:
            IdDesc:
              value: '-id'
              summary: id desc
              description: Order by id desc
            IdAsc:
              value: id
              summary: id asc
              description: Order by id asc
            StatusDesc:
              value: '-data__check__status'
              summary: status desc
              description: Order by status desc
        - in: query
          name: organization
          schema:
            type: number
          description: Filter by Organization ID
        - in: query
          name: services
          schema:
            type: array
            items:
              type: string
          description: Filter by Service
          examples:
            Ipv4:
              value: OneFirewall IPv4 Protection
              summary: OneFirewall IPv4 Protection
              description: Filter OneFirewall IPv4 Protection
            Domain:
              value: OneFirewall Domain Protection
              summary: OneFirewall Domain Protection
              description: Filter OneFirewall Domain Protection
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  total:
                    type: number
                    description: >-
                      Total number of items that meet the list filter.  

                      This doesn't represent the number of items inside the
                      `data` array.
                    minimum: 0
                    examples:
                      - 20
                      - 30
                      - 40
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: ATB unique identifier.
                          minimum: 1
                        organization:
                          type: object
                          properties:
                            id:
                              type: number
                              examples:
                                - 5
                                - 10
                                - 15
                              description: Unique identifier for the Organization.
                            name:
                              type: string
                              examples:
                                - Sample Organization
                                - My Organization
                              description: Organization common name.
                            logo:
                              type: string
                              format: uri
                              examples:
                                - https://sample.com/logo.svg
                                - https://my.organization.com/logo.png
                              description: Organization logo URL.
                        atb_key:
                          type: string
                          format: uuid
                          description: >-
                            ATB generated uuid key. This key can be used for all
                            Threat Blocker API calls interchangeably with `id`.
                        type:
                          type: string
                          description: >-
                            The configuration of the deployment of your threat
                            blocker.
                          enum:
                            - series
                            - parallel
                        email:
                          type: string
                          format: email
                          description: >-
                            Email address of the technical point of contact
                            responsible for managing and overseeing the security
                            aspects of your organization's devices. This email
                            will be used for communication related to security
                            alerts, updates, and important notifications.
                        check:
                          type: object
                          properties:
                            stat:
                              type: object
                              properties:
                                vpn:
                                  type: number
                                  description: If `1` indicates VPN service is Active.
                                  minimum: 0
                                  maximum: 1
                                  examples:
                                    - 1
                                    - 0
                                dnsbl:
                                  type: number
                                  description: >-
                                    If `1` indicates Agent Logs service is
                                    Active.
                                  minimum: 0
                                  maximum: 1
                                  examples:
                                    - 1
                                    - 0
                                iplist:
                                  type: number
                                  description: If `1` indicates IP List service is Active.
                                  minimum: 0
                                  maximum: 1
                                  examples:
                                    - 1
                                    - 0
                                datetime:
                                  type: string
                                  format: date-time
                                  description: >-
                                    Latest timestamp this `stat` object has been
                                    updated.
                            status:
                              type: number
                              description: Indicates if all services are up and running.
                              minimum: 0
                              maximum: 1
                              examples:
                                - 1
                                - 0
                            web_stat:
                              type: array
                              description: |-
                                Contains historic data about ATB.  
                                Resolution is one Hour.
                              items:
                                type: object
                                properties:
                                  datetime:
                                    type: string
                                    format: date-time
                                  waf_protection:
                                    type: number
                                    description: >-
                                      Total blocked requests in the time elapsed
                                      from this object datetime and the one
                                      immediately before.
                                    minimum: 0
                                    examples:
                                      - 50
                                      - 100
                                      - 150
                                  total_managed_requests:
                                    type: number
                                    description: >-
                                      Total requests in the time elapsed from
                                      this object datetime and the one
                                      immediately before.
                                    minimum: 0
                                    examples:
                                      - 200
                                      - 300
                                      - 400
                            chart_stat:
                              type: array
                              description: >-
                                Aggregated live traffic stats grouped into a
                                maximum of 10 time buckets.
                              maxItems: 11
                              items:
                                type: object
                                properties:
                                  bucket_start:
                                    type: number
                                    description: >-
                                      UNIX timestamp for the beginning of the
                                      bucket interval.
                                    minimum: 0
                                    examples:
                                      - 1714620000
                                  bucket_end:
                                    type: number
                                    description: >-
                                      UNIX timestamp for the end of the bucket
                                      interval.
                                    minimum: 0
                                    examples:
                                      - 1714620300
                                  total_requests:
                                    type: number
                                    description: >-
                                      Total number of log messages in this
                                      interval.
                                    minimum: 0
                                    examples:
                                      - 120
                                  malicious_requests:
                                    type: number
                                    description: >-
                                      Number of malicious log messages in this
                                      interval.
                                    minimum: 0
                                    examples:
                                      - 45
                                required:
                                  - bucket_start
                                  - bucket_end
                                  - total_requests
                                  - malicious_requests
                        plugin:
                          type: object
                          description: Specific extra configuration for the ATB.
                          properties:
                            name:
                              type: string
                              description: Configuration type.
                              enum:
                                - checkpoint
                                - fortigate
                                - sophos
                                - cisco_asa
                                - pfsense
                                - sonicwall
                            config:
                              type: object
                              description: JSON specific configuration for the ATB.
                        endpoint:
                          type: string
                          format: ipv4
                          description: >-
                            Endpoint for the ATB. This is set automatically at
                            every scheduled update from the ATB.
                          examples:
                            - 11.22.33.44
                            - 20.30.40.50
                        privateIP:
                          type: string
                          format: ipv4
                          description: >-
                            Private network IP for the ATB. This is set
                            automatically at every scheduled update from the
                            ATB.
                          examples:
                            - 192.168.1.2
                            - 172.16.22.4
                        services:
                          type: array
                          description: Enabled services for this ATB
                          items:
                            type: string
                            description: The enabled service.
                            enum:
                              - OneFirewall IPv4 Protection
                              - OneFirewall Domain Protection
                        device_id:
                          type: string
                          description: >-
                            Unique identifier associated with the installed
                            device.
                          examples:
                            - ATBXXXXXXX
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````